{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>   
    function validar_inicio(xid)
    {
        if (confirm('¿Aun no ha iniciado el trabajo, desea iniciarlo?')) {
            var person = prompt("Desde que fecha iniciara el trabajo", "");
            if (person != null) {
                window.location.href = "/auditor/iniciartrabajo?id="+xid+"&xfecha="+person;
            }            
        }
    }
    function asignarauditor(xid, xpersonal)
    {
        document.formreporte.personal.value=xpersonal;
        document.formreporte.xpersonal.value=xid;
        $('#bs-example-modal-lg').modal('hide');
    } 
       
</script>

<div class="x_panel">
    <div class="x_title">
      <h2>SELECCIONAR EL MES Y GESTION</h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <form name="formreporte" id="formreporte" method="POST"> {% csrf_token %}
            <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                <label class="control-label">AUDITOR:</label>
                <input type="text" id="personal" name="personal" value="{{ personal.nombre }}" class="form-control" readonly="readonly">
                {% if request.user.is_superuser or perms.administrador.change_controlsupervisor %}
                <a href="#" class="btn btn-primary" data-toggle="modal" data-target=".bs-example-modal-lg" ><i
                    class="fa fa-refresh"></i> Seleccionar auditor</a>
                {% endif %}
              
                <input type="hidden" id="xpersonal" name="xpersonal" value="{{ personal.id }}" class="form-control">
                <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                <label class="control-label">MES:</label>
                <select id="xmes" name="xmes" value="" class="form-control" >
                    <option value="01">Enero</option>
                    <option value="02">Febrero</option>
                    <option value="03">Marzo</option>
                    <option value="04">Abril</option>
                    <option value="05">Mayo</option>
                    <option value="06">Junio</option>
                    <option value="07">Julio</option>
                    <option value="08">Agosto</option>
                    <option value="09">Septiembre</option>
                    <option value="10">Octubre</option>
                    <option value="11">Noviembre</option>
                    <option value="12">Diciembre</option>
                </select>    
                <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
            </div>  
            <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                <label class="control-label">GESTION:</label>
                <input type="text" id="xgestion" name="xgestion" value="2021" class="form-control">
                <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
            </div>  
            <a href="#" class="btn btn-success" onclick="document.formreporte.submit();"><i
                class="fa fa-print"></i> Generar reporte</a>
        </form>
        
    </div>
  </div>
  <!---------------- MODAL PARA BUSCAR   ------------------------->
  <div class="modal fade bs-example-modal-lg" id="bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">    
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">Seleccionar auditor</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <table  id="datatable-responsive"
                    class="table table-striped table-bordered table condensed table-hover table-responsive"
                    cellspacing="0" width="100%">
              <thead width="100%">
                <th width="10%">ID</th>
                <th width="80%">AUDITOR</th>               
                <th width="10%"></th>
              </thead>
              <tbody width="100%">
                {% for auditor in auditores %}
                <tr>
                    <td width="10%">{{ auditor.id }}</td>
                    <td width="80%">{{ auditor.nombre }} {{ auditor.a_paterno }} {{ auditor.a_materno }}</td>                    
                    <td width="10%"><a href="#" onclick="asignarauditor({{ auditor.id }}, '{{ auditor.nombre }}  {{ auditor.a_paterno }} {{ auditor.a_materno }}');" class="btn btn-warning btn-xs"><i class="fa fa-edit"></i></a></td>
                </tr>
                {% endfor %}               
              </tbody>    
            </table>   
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div> 
<!---------------- MODAL PARA BUSCAR   ------------------------->


{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}